/**
 * User information
 * 
 * @author Pierre HUBERT
 */

export enum UserPageStatus {
	PRIVATE,
	PUBLIC,
	OPEN
}

export interface UserBuilder {
	id: number,
	firstName: string,
	lastName: string,
	timeCreate: number,
	virtualDirectory: string,
	pageStatus: UserPageStatus,
}

export class User {
	id: number;
	firstName: string;
	lastName: string;
	timeCreate: number;
	virtualDirectory: string;
	pageStatus: UserPageStatus;

	public constructor(info : UserBuilder) {
		this.id = info.id;
		this.firstName = info.firstName;
		this.lastName = info.lastName;
		this.timeCreate = info.timeCreate;
		this.virtualDirectory = info.virtualDirectory;
		this.pageStatus = info.pageStatus;
	}

}